/api/v1/super-identities/responders
const url = 'https://api.endless.zaia.app/api/v1/super-identities/responders?pageNumber=1&pageSize=10';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.endless.zaia.app/api/v1/super-identities/responders?pageNumber=1&pageSize=10'Retrieves multiple responders super identities.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”The page number.
The page number.
The page size.
The page size.
Search term to filter super identities by reference, entity, or id.
Search term to filter super identities by reference, entity, or id.
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”Retrieves all responders super identities for the workspace.
object
A UUID v4 string that identifies an entity.
The ID of the original entity in production.
A UUID v4 string that identifies an entity.
Whether the agent should be able to execute JavaScript code using the Code Runtime tool.
The internal name of the agent. For internal use only.
The number of iterations (steps) the agent can execute in a single execution.
The LLM model key to use for the agent.
The id of the LLM provider to use for the agent.
The name of the agent.
The picture of the agent.
Whether the agent should plan before each execution.
The main description of the agent’s behavior.
The reasoning mode to use for the agent. If null, reasoning will be disabled.
The role of the agent. Particularly useful to give other agents context of what the agent does.
The super identity ID associated with the agent.
The temperature to use for the agent. The lower the more deterministic. The higher the more creative.
The timezone to use for the agent. If null, no timezone will be used.
The number of tools currently associated with the agent.
The TTS voice to use for audio responses. Null when disabled for the agent.
The workspace ID that owns the agent.
object
A UUID v4 string that identifies an entity.
The ID of the original entity in production.
A UUID v4 string that identifies an entity.
The internal description of the squad.
The management mode. In flat, agents redirect the chat to one another. In hierarchical, all iterations are intermediated by the manager.
The display name of the squad.
The picture associated with the squad.
The super identity ID associated with the squad.
The workspace ID that owns the squad.
object
A UUID v4 string that identifies an entity.
Whether the workflow is currently active.
When the workflow content was last updated.
When the workflow was last deployed.
The workflow implementation ID currently deployed for the workflow.
The internal description of the workflow.
The display name of the workflow.
The lifecycle status of the workflow.
The super identity ID associated with the workflow.
The workspace ID that owns the workflow.
Example
[ { "llm": "claude-haiku-4-5", "reasoningMode": "low", "timezone": "Africa/Cairo", "entity": "agents" }]Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}